org.apache.geode.cache

## Class OperationAbortedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheRuntimeException
          - - org.apache.geode.cache.OperationAbortedException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    CacheLoaderException, CacheWriterException, ClientNotReadyException, GatewayException, ServerRefusedConnectionException, TimeoutException

      public abstract class OperationAbortedException
      extends CacheRuntimeException

  Indicates that the operation that would have otherwise affected the cache has been aborted. Only subclasses are instantiated.
  Since:
    GemFire 3.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationAbortedException()` Creates a new instance of `OperationAbortedException` without detail message.
    `OperationAbortedException(java.lang.String msg)` Constructs an instance of `OperationAbortedException` with the specified detail message.
    `OperationAbortedException(java.lang.String msg, java.lang.Throwable cause)` Constructs an instance of `OperationAbortedException` with the specified detail message and cause.
    `OperationAbortedException(java.lang.Throwable cause)` Constructs an instance of `OperationAbortedException` with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationAbortedException

          public OperationAbortedException()

      Creates a new instance of `OperationAbortedException` without detail message.

    - #### OperationAbortedException

          public OperationAbortedException(java.lang.String msg)

      Constructs an instance of `OperationAbortedException` with the specified detail message.
      Parameters:
        `msg` - the detail message

    - #### OperationAbortedException

          public OperationAbortedException(java.lang.String msg,
                                           java.lang.Throwable cause)

      Constructs an instance of `OperationAbortedException` with the specified detail message and cause.
      Parameters:
        `msg` - the detail message
        `cause` - the causal Throwable

    - #### OperationAbortedException

          public OperationAbortedException(java.lang.Throwable cause)

      Constructs an instance of `OperationAbortedException` with the specified cause.
      Parameters:
        `cause` - the causal Throwable